import React, { Component } from 'react';
import './index.less';
import Button from '../Button';

export default class Select extends Component {
  constructor(props) {
    super(props);
    this.state = { selecting: false };
  }

  componentWillMount() {}

  componentWillUnmount() {}

  open() {
    this.setState({ selecting: true });
  }

  close() {
    this.setState({ selecting: false });
  }

  render() {
    const { selecting } = this.state;
    const { value, list = [], size = 'small', theme = 'theme' } = this.props;
    let index = 0;
    for (let i = 0; i < list.length; i += 1) {
      if (list[i].key === value) {
        index = i;
        break;
      }
    }
    const title = list.length > 0 ? list[index].title : '';
    return (
      <div className="select">
        <div hidden={!selecting} className="mask" onClick={() => this.close()} />
        <div className="select-warp">
          <Button size={size} theme={theme} radius onClick={() => this.open()}>
            {title}
          </Button>
          <div className={`select-body ${selecting ? 'select' : ''}`}>
            {list.map(item => {
              return <div className="select-option">{item.title}</div>;
            })}
          </div>
        </div>
      </div>
    );
  }
}
